ru.bitel.bgbilling.kernel.config.common.service

## Interface ConfigService

-     public interface ConfigService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteModuleConfig(int moduleId, int configId)` Удаление одной конкретной конфигурации для определенного модуля.
    `ConfigData` | `getActiveModuleConfig(int moduleId)` Получение активного конфига для модуля.
    `ConfigData` | `getModuleConfig(int configId)` Получение одной конфигурации модуля по ее коду.
    `java.util.List<ConfigData>` | `getModuleConfigList(int moduleId)` Получение списка конфигураций модуля по коду модуля
    `void` | `setActiveModuleConfig(int moduleId, int configId)` Установка активной конфигурации для модуля.
    `int` | `updateModuleConfig(int moduleId, ConfigData configData)` Добавление/Обновление конфигурации модуля.

- - ### Method Detail

    - #### getModuleConfigList

          java.util.List<ConfigData> getModuleConfigList(int moduleId)
                                                  throws ru.bitel.bgbilling.common.BGException

      Получение списка конфигураций модуля по коду модуля
      Parameters:
        `moduleId` - код модуля
      Returns:
        список конфигураций модуля
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### setActiveModuleConfig

          void setActiveModuleConfig(int moduleId,
                                     int configId)
                              throws ru.bitel.bgbilling.common.BGException

      Установка активной конфигурации для модуля. Активной в каждый момент времени может быть только одна конфигурация.
      Parameters:
        `moduleId` - код модуля
        `configId` - код конфигурации
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getActiveModuleConfig

          ConfigData getActiveModuleConfig(int moduleId)
                                    throws ru.bitel.bgbilling.common.BGException

      Получение активного конфига для модуля.
      Parameters:
        `moduleId` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getModuleConfig

          ConfigData getModuleConfig(int configId)
                              throws ru.bitel.bgbilling.common.BGException

      Получение одной конфигурации модуля по ее коду. Например, после выбора в таблице конфигураций
      Parameters:
        `configId` - код конфигурации
      Returns:
        конфигурация
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteModuleConfig

          void deleteModuleConfig(int moduleId,
                                  int configId)
                           throws ru.bitel.bgbilling.common.BGException

      Удаление одной конкретной конфигурации для определенного модуля.
      Parameters:
        `moduleId` - код модуля
        `configId` - код конфигурации
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateModuleConfig

          int updateModuleConfig(int moduleId,
                                 ConfigData configData)
                          throws ru.bitel.bgbilling.common.BGException

      Добавление/Обновление конфигурации модуля.
      Parameters:
        `moduleId` - код модуля
        `configData` - конфигурация модуля. Конфигурация в данном случае - строка, содержащая пары "ключ-значение" и комментарии - содержится в поле config.
      Returns:
        код добавленной/обновленной конфигурации
      Throws:
        `ru.bitel.bgbilling.common.BGException`